<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : DbsNew.xml
    Created on : 15 de febrero de 2013
    Author     : Pablo VIDAL
    Description: Ventana de herramientas - Alta de conexion a base de datos
-->
<screen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://aweframework.gitlab.io/awe/docs/schemas/screen.xsd" template="window" label="SCREEN_TITLE_DBS_NEW" help="HELP_SCREEN_TITLE_DBS_NEW">
  <tag source="hidden">
    <message id="NewMsg" title="CONFIRM_TITLE_NEW" message="CONFIRM_MESSAGE_NEW" />
    <message id="DbsAlsUni" title="WARNING_TITLE_DUPLICATED_DATABASE" message="WARNING_MESSAGE_DUPLICATED_DATABASE" />
  </tag>
  <tag source="buttons">
    <button button-type="button" label="BUTTON_BACK" icon="arrow-circle-left" id="ButBck" help="HELP_BACK_BUTTON">
      <button-action type="back" />
    </button>
    <button label="BUTTON_SCREEN_HELP" icon="question-circle" id="ButHlp" help="HELP_HELP_BUTTON">
      <button-action type="dialog" target="HlpOpt" />
    </button>
    <button button-type="button" label="BUTTON_CONFIRM" icon="save" id="ButCnf" help="HELP_CONFIRM_BUTTON">
      <button-action type="validate" />
      <button-action type="check-records-saved" target="SitModDbsLst" />
      <button-action type="server" server-action="control-unique-cancel" target-action="DbsAlsUni" target="DbsAlsUni" />
      <button-action type="confirm" target="NewMsg" />
      <button-action type="server" server-action="maintain" target-action="DbsNew" />
      <button-action type="server" server-action="data" target-action="DbsAlsBySitModSel" target="database" context="base" />
      <button-action type="back" />
    </button>
  </tag>
  <tag source="center">
    <window style="static criteria" label="SCREEN_TEXT_DBS" icon="plus-circle">
      <tag type="div" style="panel-body static">
        <criteria label="PARAMETER_ALIAS" id="Als" variable="Als" component="text" validation="required" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_TYPE" id="Dct" component="select" variable="Dct" initial-load="enum" target-action="DbsTyp" validation="required" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_CONNECTION" id="Dbc" component="text" variable="Dbc" validation="required" style="col-xs-12 col-sm-12 col-lg-6" />
        <criteria label="PARAMETER_DB_TYPE" id="Dbt" component="select" variable="Dbt" initial-load="enum" target-action="EnuDbmSys" validation="required" optional="true"
                  style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_ENVIRONMENT" id="Typ" component="select" variable="Typ" initial-load="enum" target-action="EnvTyp" validation="required" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_DRIVER" id="Drv" component="select" variable="Drv" initial-load="enum" target-action="DrvTyp" optional="true" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_ACTIVE" id="Act" component="select" variable="Act" initial-load="enum" target-action="Es1Es0" validation="required" value="1" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_USER" id="DbsUsr" component="text" variable="DbsUsr" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_PASSWD" id="DbsPwd" component="password" variable="DbsPwd" style="col-xs-12 col-sm-6 col-lg-3" />
        <criteria label="PARAMETER_DESCRIPTION" id="Des" component="textarea" variable="Des" style="col-xs-12 col-sm-12 col-lg-12" />
      </tag>
    </window>
    <window style="expand" label="SCREEN_TEXT_CONFIGURATION" icon="list">
      <grid id="SitModDbsLst" style="expand" editable="true" send-operations="true" max="10">
        <column label="PARAMETER_SITE" name="IdeSit" sort-field="IdeSit" align="left" charlength="40" component="select" validation="required" server-action="data" initial-load="query"
                target-action="SitSel" />
        <column label="PARAMETER_MODULE" name="IdeMod" sort-field="IdeMod" align="left" charlength="40" component="select" validation="required" server-action="data" initial-load="query"
                target-action="ModSelBD" />
        <column label="PARAMETER_ORDER" name="Ord" sort-field="Ord" align="center" charlength="10" component="text" />
        <button label="BUTTON_NEW" icon="plus-circle" id="ButSitModDbsLstAdd">
          <button-action type="add-row" target="SitModDbsLst" silent="true" />
        </button>
        <button label="BUTTON_DELETE" icon="trash" id="ButSitModDbsLstDel">
          <button-action type="delete-row" target="SitModDbsLst" silent="true" />
          <dependency target-type="enable" initial="true">
            <dependency-element id="SitModDbsLst" attribute="selectedRows" condition="eq" value="1" />
          </dependency>
        </button>
      </grid>
    </window>
  </tag>
  <tag source="modal">
    <include target-screen="screen-help" target-source="center"/>
  </tag>
</screen>